Package Details: bzr-gtk 0.104.0-2

Git Clone URL: https://aur.archlinux.org/bzr-gtk.git (read-only, click to copy)
Package Base: bzr-gtk
Description: Plugin for Bazaar that aims to provide GTK+ interfaces to most Bazaar operations.
Upstream URL: http://bazaar-vcs.org/bzr-gtk
Licenses: GPL
Submitter: Phrodo_00
Maintainer: vadmium
Last Packager: JonnyJD
Votes: 24
Popularity: 0.000000
First Submitted: 2007-07-20 17:57 (UTC)
Last Updated: 2015-06-15 23:01 (UTC)

Dependencies (9)

Required by (0)

Sources (2)

Latest Comments

MarsSeed commented on 2022-06-21 13:31 (UTC)

For clarification: I do not need this package. I am only trying to revive some essential Python 2 packages, while eliminating the truly unneeded dependents, to help focus the efforts of the few volunteers available to fix the aforementioned old Python 2 builds.

MarsSeed commented on 2022-06-21 13:29 (UTC) (edited on 2022-06-21 13:29 (UTC) by MarsSeed)

This doesn't work:

$ bzr-notify 
Traceback (most recent call last):
  File "/usr/bin/bzr-notify", line 14, in <module>
    from bzrlib.plugins.gtk.notify import NotifyPopupMenu
  File "/usr/lib/python2.7/site-packages/bzrlib/plugins/gtk/notify.py", line 19, in <module>
    from gi.repository import Gtk
ImportError: No module named gi.repository

I've tried the VCS version (bzr-gtk-bzr), which includes newer commits supposedly fixing some problems with newer version of gtk3 from 2016. That one no longer has bzr-notify, but then, its other CLI utility, bzr-handle-patch doesn't work (see error output in comment).

Is this package still needed at all?

JonnyJD commented on 2015-06-15 23:03 (UTC)

adopted and updated to 0.104

vadmium commented on 2015-06-14 06:47 (UTC)

Yes, 0.100 is only meant to support up to Bazaar 2.4. However there is also a packaging bug with with 0.103 (and 0.104); see the comments further down. I haven’t used Bazaar or this GTK wrapper for a long time, so if anyone wants to fix this package up I am happy to disown it or try the new co-maintainer thing.

JonnyJD commented on 2015-06-13 08:59 (UTC)

The "real" fix would probably be to upgrade to the gtk3 branch and 0.103.

JonnyJD commented on 2015-06-13 07:11 (UTC)

Nicolas PLANEL postet a bug and fix on the ML: https://lists.archlinux.org/pipermail/aur-general/2015-June/030891.html referencing this upstream issue: https://bugs.launchpad.net/archlinux/+source/bzr-gtk/+bug/1464784

Psykar commented on 2013-05-24 02:31 (UTC)

Hmm. I've actually got issues with this, once installed, nautlius keeps seg faulting on launch. I'll try the later versions (I found a credits.pickle which worked) and see how that goes....

vadmium commented on 2013-05-23 12:08 (UTC)

Sorry about that. Fixed; thanks for reminding me ;)

Psykar commented on 2013-05-23 07:05 (UTC)

Needs updating to latest PKGBUILD spec - needs a package() function.

vadmium commented on 2013-01-07 00:20 (UTC)

I haven’t had any troubles with version 0.100 and Bazaar 2.5, despite it saying “<= 2.4” on their wiki page. Patching “setup.py” to remove the reference to “credits.pickle” causes the “Help / About” command to crash. It looks like “create-credits.py” was a script in older versions. You can now run something like “setup.py build_credits --url=lp:bzr-gtk” instead. Debian seems to do this, but it requires the Internet, “bzr-stats” (AUR), takes almost two minutes, and probably ignores the particular version that we want. I could just add “credits.pickle” from Debian if people really want that, but personally I’m happy to use 0.100 until there is a proper fix. :) My current attempt at 0.104.0: https://github.com/vadmium/bzr-gtk-pkg. The dependencies should be fine but it needs “credits.pickle” added to the source tree to work.

Nikus commented on 2013-01-06 18:01 (UTC)

It seems that patching the setup.py could fix the credits.pickle error. Or adding the 'credits.pickle' and 'create-credits.py' files to the sources. Does the bzr-gtk version 0.100.0 work with bzr version 2.5 ?

vadmium commented on 2012-11-03 05:38 (UTC)

Sorry about that, I restored them from a previous version. BTW I haven’t updated to 0.103.0 or 0.104.0 because of a packaging bug: “0.104.0 tarball does not contain credits.pickle” https://bugs.launchpad.net/bzr-gtk/+bug/1032995 aka “0.96.0, 0.99.0 tarball does not contain credits.pickle” https://bugs.launchpad.net/bzr-gtk/+bug/397526

felipec commented on 2012-11-03 04:38 (UTC)

The patches are not in the tarball.

iosonofabio commented on 2011-11-08 09:46 (UTC)

Moved to the new lcation. However, since I do not use this package anymore, I'll drop it to more interested fellows.

vadmium commented on 2011-11-08 04:56 (UTC)

Source seems to be moved to: https://launchpad.net/bzr-gtk/gtk2/0.100.0/+download/bzr-gtk-0.100.0.tar.gz

iosonofabio commented on 2011-04-02 10:07 (UTC)

new mantainer, updated to version 0.100, including two patches to be implemented

ivanovp commented on 2010-12-17 10:49 (UTC)

The 'python' should be replaced with 'python2' in the PKGBUILD.